<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title></title>
</head>

<body>
    <script type="text/javascript">
        print = function(msg) {
            console.log(msg)
        }

        myCounter = function(caller, count) {
            // help from internet , 
            for (var i = 0; i < count; i++) {
                // add a sleep of 1 second here
                store(i);
            }
        }

        function store(i) {
            setTimeout(function() {
                print(" " + i + " seconds over");
            }, 1000 * i)
        }
    </script>

    <form>
        <input type="" name="" value="Vivek"><br/><br/>
        <input type="button" name="" value="B1" onclick="myCounter('B1',20)"><br/><br/>
        <input type="button" name="" value="B2" onclick="myCounter('B2',5)"><br/><br/>
    </form>
</body>

</html>